cmake_minimum_required (VERSION 3.1 FATAL_ERROR)
project (loguru VERSION 0.0.1 LANGUAGES CXX C)
IF(NOT TARGET loguru)
add_library(loguru STATIC loguru.cpp loguru.hpp)
target_include_directories(loguru PUBLIC .)
target_compile_options(loguru PUBLIC -DLOGURU_WITH_STREAMS=1)
target_link_libraries(loguru PUBLIC dl)
ENDIF()